# class ActiveLdap::LdapError

### Constants

ERRORS

### Public Instance Methods

define(code, name, target) click to toggle source

    # File lib/active_ldap/ldap_error.rb, line 4
          def define(code, name, target)
            klass_name = name.downcase.camelize
            target.module_eval("          class #{klass_name} < #{self}
                CODE = #{code}
                def code
                  CODE
                end
              end
    ", __FILE__, __LINE__ + 1)
            target.const_get(klass_name)
          end